Skip to main content
GET
List objectives

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:50

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

project
string
project[]
string[]
owner
string
owner[]
string[]
order[position]
enum<string>
default:asc
Available options:
asc,
desc
order[dateStart]
enum<string>
default:asc
Available options:
asc,
desc
order[dateEnd]
enum<string>
default:asc
Available options:
asc,
desc
order[dateCreated]
enum<string>
default:asc
Available options:
asc,
desc

Response

200 - application/json

Objective collection

id
integer
read-only
uuid
string | null
project
string<iri-reference>
Example:

"/api/v1/projects/1"

name
string
description
string | null
position
integer | null
color
string | null
dateStart
string<date-time> | null
dateEnd
string<date-time> | null
owner
string<iri-reference> | null
Example:

"/api/v1/users/1"

dateCreated
string<date-time>
read-only
dateUpdated
string<date-time> | null
read-only
goals
string<iri-reference>[]
Example: